WinNT.PROCESSOR_GROUP_INFO (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT, class: PROCESSOR_GROUP_INFO

Package com.sun.jna.platform.win32

# Class WinNT.PROCESSOR_GROUP_INFO

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.PROCESSOR_GROUP_INFO

Enclosing interface:
  WinNT

@FieldOrder({"maximumProcessorCount","activeProcessorCount","reserved","activeProcessorMask"}) public static class WinNT.PROCESSOR_GROUP_INFO extends Structure
Represents the number and affinity of processors in a processor group.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `byte`
  `activeProcessorCount`
  The number of active processors in the group.
  `BaseTSD.ULONG_PTR`
  `activeProcessorMask`
  A bitmap that specifies the affinity for zero or more active processors within the group.
  `byte`
  `maximumProcessorCount`
  The maximum number of processors in the group.
  `byte[]`
  `reserved`
  This member is reserved.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PROCESSOR_GROUP_INFO()`
  `PROCESSOR_GROUP_INFO(Pointer memory)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### maximumProcessorCount

    public byte maximumProcessorCount
    The maximum number of processors in the group.

  - ### activeProcessorCount

    public byte activeProcessorCount
    The number of active processors in the group.

  - ### reserved

    public byte[] reserved
    This member is reserved.

  - ### activeProcessorMask

    public BaseTSD.ULONG_PTR activeProcessorMask
    A bitmap that specifies the affinity for zero or more active processors within the group.

- ## Constructor Details

  - ### PROCESSOR_GROUP_INFO

    public PROCESSOR_GROUP_INFO(Pointer memory)

  - ### PROCESSOR_GROUP_INFO

    public PROCESSOR_GROUP_INFO()